<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__disc__srvc__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_disc_srvc_info_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__disc__srvc__info__t_1afa4a4c5922c1f2fb8156832ea701fa39" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__attr__handle__range__t">cy_stc_ble_gatt_attr_handle_range_t</ref></type>
        <definition>cy_stc_ble_gatt_attr_handle_range_t cy_stc_ble_disc_srvc_info_t::range</definition>
        <argsstring />
        <name>range</name>
        <briefdescription>
<para>Handle range of the request. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="45" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="45" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__srvc__info__t_1a551b190b3834ab8bc0fa2dd862c6d2db" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_disc_srvc_info_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>16-bit UUID </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="46" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service data received with read by group type response during discovery process. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="454">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="453">
        <label>cy_stc_ble_disc_srvc_info_t</label>
        <link refid="structcy__stc__ble__disc__srvc__info__t" />
        <childnode refid="454" relation="usage">
          <edgelabel>range</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="47" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="43" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="44" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__disc__srvc__info__t_1afa4a4c5922c1f2fb8156832ea701fa39" virt="non-virtual"><scope>cy_stc_ble_disc_srvc_info_t</scope><name>range</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__srvc__info__t_1a551b190b3834ab8bc0fa2dd862c6d2db" virt="non-virtual"><scope>cy_stc_ble_disc_srvc_info_t</scope><name>uuid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>